#pragma once

#include "DiscRecorder.h"


class IGalbaWindow
{
public:
	virtual HRESULT DeviceChange() = 0;
	virtual HRESULT IsImageRecorderSelected(BOOL& imageRecorderSelected) = 0;
	virtual HRESULT GetRecorder(__deref_out CDiscRecorder** ppRecorder) = 0;
	virtual HRESULT GetRecorderPath(CString& path) = 0;
	virtual HRESULT EnableUI(BOOL enable) = 0;
	virtual HRESULT EnableCancelButton(BOOL enable) = 0;
	virtual HRESULT SetupProgressMarquee(BOOL enable) = 0;
	virtual HRESULT SetProgress(int percentsDone, CString& text) = 0;
	virtual HRESULT SetSystemBufferUsage(int percents) = 0;
	virtual HRESULT SetTimes(LONG timeElapsed, LONG timeRemaining) = 0;
};