///////////////////////////////////////////////////////////////////////
// DiscMaster.h
//
// Wrapper for IDiscMaster2 interface
#pragma once

#include "common.h"


class CDiscMaster
{
public:
	CDiscMaster(void);
	~CDiscMaster(void);

	inline HRESULT GetHresult()
	{
		return lastError;
	}

	inline CString GetErrorMessage()
	{
		return lastErrorMessage;
	}

	bool Initialize();
	void SetLastError(HRESULT lastError);
	void SetLastError(HRESULT lastError, CString lastErrorMessage);

	LONG GetTotalDevices();
	CString GetDeviceUniqueID(LONG index);

protected:
	IDiscMaster2*	pDiscMaster;
	HRESULT lastError;
	CString lastErrorMessage;
};