#pragma once

#include "IGalbaWindow.h"


// CBurnTaskDialog dialog

class CBurnTaskDialog :
    public CDialog
{
	DECLARE_DYNAMIC(CBurnTaskDialog)

public:
	virtual ~CBurnTaskDialog();

	virtual void CancelInterruptibleTask() = 0;
	virtual void MediaChanged()
	{
	};

	inline bool IsInitialized()
	{
		return initialized;
	};

	inline bool IsRunningInterruptibleTask()
	{
		return runningInterruptibleTask;
	}

	virtual DROPEFFECT OnFileDragOver(COleDataObject* /*pDataObject*/, DWORD /*keyState*/, CPoint /*point*/)
	{
		return DROPEFFECT_NONE;
	}

	virtual void OnDragLeave(void)
	{
	};

	virtual BOOL OnFileDrop(COleDataObject* /*pDataObject*/, DWORD /*keyState*/, CPoint /*point*/)
	{
		return FALSE;
	}

	virtual bool BeginAddData(const CString& /*baseDir*/)
	{
		return false;
	};

	virtual void AddData(const CString& /*dataType*/, CString& /*path*/)
	{
	};

	virtual void CommitAddedData(void)
	{
	};

protected:
	CBurnTaskDialog(IGalbaWindow* pGalbaWindow, UINT nIDTemplate, CWnd* pParent = NULL);   // standard constructor

	IGalbaWindow* pGalbaWindow;
	bool initialized;
	bool runningInterruptibleTask;
};